Bug 471129 - SELinux is preventing amarok from loading /usr/lib/sse2/libpostproc.so.51.2.0 which requires text relocation
SELinux is preventing amarok from loading /usr/lib/sse2/libpostproc.so.51.2.0...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
: Reopened, SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-11 16:57 EST by Dean Mander
Modified: 2009-07-03 19:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-03 19:44:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dean Mander 2008-11-11 16:57:34 EST
Description of problem:
fresh F-10 preview install, amarok doesn't play mp3's out of the box, so I installed xine-lib-extras, xine-lib-extras-freeworld and friends (from rpmfusion I guess) since amarok uses the xine backend.

I relaunch amarok, now it plays mp3's correctly, but I notice there is an error message on the ffmpeg-libs: see below.

Each time I restart amarok it creates a new, identical selinux alert, during the startup the application. However, playing mp3's is fine.


Version-Release number of selected component (if applicable):
ffmpeg-libs 0.4.9-0.51.20080908.fc10
amarok.i386 0:1.94-2.fc10
selinux-policy-targeted 3.5.13-18.fc10

How reproducible:
Install amarok with xine extra libs so it can play mp3's.
Start amarok: during initialisation the error 

  

Additional info:
node=mymachine type=AVC msg=audit(1226430368.364:487): avc: denied { execmod } for pid=26450 comm="amarok" path="/usr/lib/sse2/libpostproc.so.51.2.0" dev=sdb5 ino=276922 scontext=unconfined_u:unconfined_r:unconfined_t:s0 tcontext=system_u:object_r:lib_t:s0 tclass=file node=mymachine type=SYSCALL msg=audit(1226430368.364:487): arch=40000003 syscall=125 success=no exit=-13 a0=24b6000 a1=9000 a2=5 a3=bfdd6cf0 items=0 ppid=26448 pid=26450 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=68 comm="amarok" exe="/usr/bin/amarok" subj=unconfined_u:unconfined_r:unconfined_t:s0 key=(null)
Comment 1 Rex Dieter 2008-11-11 17:30:57 EST
!= amarok bug.  closing->upstream per the following:

In short,
1.  It's an ffmpeg issue
https://bugzilla.rpmfusion.org/show_bug.cgi?id=72

2.  already reported to upstream selinux
http://oss.tresys.com/projects/refpolicy/ticket/48
Comment 2 Rex Dieter 2008-11-11 17:33:12 EST
could consider patching our local policy in the meantime, I'll leave that to our maintainers to decide.
Comment 3 Daniel Walsh 2008-11-13 08:40:38 EST
Fixed in selinux-policy-3.5.13-20.fc10
Comment 4 Bug Zapper 2008-11-26 00:13:18 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Nicola Soranzo 2008-11-26 10:53:45 EST
Voluntary testers can try 

http://koji.fedoraproject.org/koji/buildinfo?buildID=69217

or later versions of selinux-policy.
Comment 6 Dean Mander 2008-11-26 15:13:06 EST
verified, problem is solved

Note You need to log in before you can comment on or make changes to this bug.